io.vertx.reactivex.ext.web.validation

## Class RequestPredicate

- java.lang.Object
- - io.vertx.reactivex.ext.web.validation.RequestPredicate

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate, java.util.function.Function<RoutingContext,RequestPredicateResult>

      public class RequestPredicate
      extends Object
      implements io.vertx.lang.rx.RxDelegate, java.util.function.Function<RoutingContext,RequestPredicateResult>

  Request predicate

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<RequestPredicate>` | `__TYPE_ARG`
    `static RequestPredicate` | `BODY_REQUIRED` Request predicate that checks if body exists or not

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestPredicate(Object delegate)`
    `RequestPredicate(RequestPredicate delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestPredicateResult` | `apply(RoutingContext in)`
    `boolean` | `equals(Object o)`
    `RequestPredicate` | `getDelegate()`
    `int` | `hashCode()`
    `static RequestPredicate` | `multipartFileUploadExists(String propertyName, String contentTypePattern)` Generate request predicate that checks if a particular multipart file upload with `propertyName` and matching `contentTypePattern` exists
    `static RequestPredicate` | `newInstance(RequestPredicate arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose, identity`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<RequestPredicate> __TYPE_ARG

    - #### BODY_REQUIRED

          public static final RequestPredicate BODY_REQUIRED

      Request predicate that checks if body exists or not

  - ### Constructor Detail

    - #### RequestPredicate

          public RequestPredicate(RequestPredicate delegate)

    - #### RequestPredicate

          public RequestPredicate(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### apply

          public RequestPredicateResult apply(RoutingContext in)

      Specified by:
        `apply` in interface `java.util.function.Function<RoutingContext,RequestPredicateResult>`

    - #### getDelegate

          public RequestPredicate getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### multipartFileUploadExists

          public static RequestPredicate multipartFileUploadExists(String propertyName,
                                                                   String contentTypePattern)

      Generate request predicate that checks if a particular multipart file upload with `propertyName` and matching `contentTypePattern` exists
      Parameters:
        `propertyName` -
        `contentTypePattern` -
      Returns:

    - #### newInstance

          public static RequestPredicate newInstance(RequestPredicate arg)

Copyright © 2025 Eclipse. All rights reserved.